<?
header("Content-Type: application/xhtml+xml; charset=iso-8859-1");
use_helper('UrlFunctions');
$o_ObjectBean = new PrestamoBean();
  
$tamanioPag = 20;
//COLOCAR CAMPOS DE LA CABECERA DEL LISTADO  
//$o_ObjectBean->setIdMercado($cboMercado); 

//FILTRO MERCADO------------------------------------------------------------------------
//Obtener Sucursal------------------------------------
//Id del Administrador--------------------------------
if(myUser::getUser()->getIdPadre() || myUser::getUser()->getRoleId() == "sys.ope"){
	if( myUser::getUser()->getRoleId() == "sys.ope"){
		$o_ObjectBean->setIdColaboradorPrestamo(myUser::getUser()->getIdColaborador());
	}
  	$o_ColaboradorBean_Temp = new ColaboradorBean();
  	$o_ColaboradorBean_Temp->setIdColaborador(myUser::getUser()->getIdColaborador()); 
  	$o_ColaboradorBL_Temp = new ColaboradorBL();
  	$o_ColaboradorBeanResult 	= $o_ColaboradorBL_Temp->busquedaColaborador($o_ColaboradorBean_Temp);
  	$idAdministrador 			= $o_ColaboradorBeanResult[0]->getIdPadre();
  	
 }elseif(myUser::getUser()->getIdPadre() == "A"){ //Todos los Padres Rol actualmente sys.gen y sys.view
 	//SIN FILTRO
 }else{
  	$idAdministrador = myUser::getUser()->getIdColaborador();
 }

 if($idAdministrador){
	$o_SucursalBean = new SucursalBean();
	$o_SucursalBean->setIdAdministrador($idAdministrador);
	$o_SucursalBL = new SucursalBL();
	$a_o_sucursal = $o_SucursalBL->busquedaSucursal($o_SucursalBean);
	//----------------------------------------------------
	$o_SucursalMercadoBean = new SucursalMercadoBean();
	if(is_object($a_o_sucursal[0])){
		$o_SucursalMercadoBean->setIdSucursal($a_o_sucursal[0]->getIdSucursal());
		$o_SucursalMercadoBL = new SucursalMercadoBL();
		$a_o_sucursalmercado = $o_SucursalMercadoBL->busquedaSucursalMercadoDetalle($o_SucursalMercadoBean);
		if(is_array($a_o_sucursalmercado)){
			foreach ($a_o_sucursalmercado as $key => $o_sucursalmercado){
				$a_IdMercados[] = $o_sucursalmercado->getIdMercado();
			}
		}
	}else{
		$a_IdMercados[] = '0';
	}
	$o_ObjectBean->setFiltroMercado($a_IdMercados);
	 
	//FILTRO IDCOLABORADOR--------------------------------------------------------------------
	//Obtener todos los Id de colaborador de ese IdAdministrador
	$o_ColaboradorBean = new ColaboradorBean();
	$o_ColaboradorBean->setIdPadre($idAdministrador);
	$o_ColaboradorBL = new ColaboradorBL();	
	$a_o_Colaborador = $o_ColaboradorBL->busquedaColaborador($o_ColaboradorBean);
	if(is_array($a_o_Colaborador)){
		foreach ($a_o_Colaborador as $key => $o_colaborador){
			$a_Colaborador[] = $o_colaborador->getIdColaborador();
		}
	}
	$o_ObjectBean->setFiltroSucursal($a_Colaborador);	
		
	//Sacar el nombre de la sucursal
	$o_SucursalBean = new SucursalBean();
	$o_SucursalBean->setIdAdministrador($idAdministrador);
	
	$o_SucursalBL = new SucursalBL();
	$a_o_sucursal = $o_SucursalBL->busquedaSucursal($o_SucursalBean);
	if(is_array($a_o_sucursal)){
		foreach ($a_o_sucursal as $key => $o_sucursal){
			$IdSucursal 	= $o_sucursal->getIdSucursal();
			$NombreSucursal = $o_sucursal->getDescripcion();
		}
	}else{
		$IdSucursal = '0';
		$NombreSucursal = false;
	}
 }
 
//----------------------------------------------------------------------------------

if($cboMercado     	!= ""){
	 $o_ObjectBean->setIdMercado($cboMercado);	 
}



if($txtNuemroPrestamo   !=""){ $o_ObjectBean->setIdPrestamo($txtNuemroPrestamo); }
if($cboEstadoPrestamo   !=""){ $o_ObjectBean->setEstado($cboEstadoPrestamo); }
if($txtNombre     		!="" && $cboTipoNombre == "AP"){ $o_ObjectBean->setApellidoPaterno(utf8_decode($txtNombre)); }
if($txtNombre     		!="" && $cboTipoNombre == "AM"){ $o_ObjectBean->setApellidoMaterno(utf8_decode($txtNombre)); }
if($txtNombre     		!="" && $cboTipoNombre == "NO"){ $o_ObjectBean->setNombres(utf8_decode($txtNombre)); }
if($cboOrigen  			!=""){ $o_ObjectBean->setOrigen($cboOrigen); }
if($txtFechaInicial   !=""){ $o_ObjectBean->setFechaInicio($txtFechaInicial); }
if($txtFechaFinal   !=""){ $o_ObjectBean->setFechaFinal($txtFechaFinal); }



$o_ObjectBean->page = $page;
$o_ObjectBean->tamPag = $tamanioPag;
$o_ObjectBean->sortCampos = $sortCampos;
$o_ObjectBean->sortType   = $sortType;
 
$o_class = new PrestamoBL();
$a_ObjectBean = $o_class->busquedaPrestamo($o_ObjectBean);  

$o_navigation = new navigation();
$o_navigation->setPaginaActual($page);
$o_navigation->setTamanioPagina($tamanioPag);
$o_navigation->setTotalRegistros($o_class->getCountResult($o_ObjectBean));
$valuesSort = array('sortCampos'=>$sortCampos, 'sortType'=>$sortType);

if(!$page) $page = 1;

ViewResponse::getInstance()->setMethodAjax();

?>
<script>
functionSort = function(campo, type){
  var typeSort      = "";
  var elmSortCampos = $('sortCampos');
  var elmSortType   = $('sortType');
  var a_sortCampos  = elmSortCampos.value!=""?elmSortCampos.value.split(";"):[];
  var a_sortType    = elmSortType.value!=""?elmSortType.value.split(";"):[];
  var pos           = a_sortCampos.indexOf(campo);
  switch (type){
     case 'A' :
       a_sortType[pos]    = "2";
     break;
     case 'D' :
       a_sortCampos = sliceByPos(a_sortCampos, pos);
       a_sortType   = sliceByPos(a_sortType, pos);
     break;
     default :
       a_sortCampos[a_sortCampos.length] = campo;
       a_sortType[a_sortType.length]     = "1";
     break;
  }
  var strSortCampos = a_sortCampos.join(";");
  var strSortType   = a_sortType.join(";");
  concatValueStr('sortCampos='+strSortCampos+'&sortType='+strSortType+"&page=<?=$page?>");
}
</script>

<?php

$strConcat = "sortCampos=".$valuesSort['sortCampos']."&sortType=".$valuesSort['sortType'];

function showImgOrder($valuesSort, $campo, $nameCampos){
  $a_valCampos = explode(";", $valuesSort['sortCampos']);
  $a_valtype   = explode(";", $valuesSort['sortType']);
  $sImg = "
            <a href=\"JavaScript:functionSort('".$campo."', '');\">".$nameCampos."</a>
            <img src=\"/images/common/buttons/arrow.gif\" alt=\"Ordenado Ascendente\" width=\"8\" height=\"10\" align=\"absmiddle\" />
          ";
  foreach ($a_valCampos as $key => $val){
    if($val == $campo){
      switch ($a_valtype[$key]){
        case 1:
          $sImg = "
                    <a href=\"JavaScript:functionSort('".$campo."', 'A');\">".$nameCampos."</a>
                    <img src=\"/images/common/buttons/arrow_up.gif\" alt=\"Ordenado Ascendente\" width=\"8\" height=\"10\" align=\"absmiddle\" />
                  ";
        break;
        case 2:
          $sImg = "
                    <a href=\"JavaScript:functionSort('".$campo."', 'D');\">".$nameCampos."</a>
                    <img src=\"/images/common/buttons/arrow_down.gif\" alt=\"Ordenado Ascendente\" width=\"8\" height=\"10\" align=\"absmiddle\" />
                  ";
        break;
      }
    }
  };
  return $sImg;
}
?>

<input type="hidden" id="sortCampos" size="100" value="<?=$valuesSort['sortCampos']?>">
<input type="hidden" id="sortType" size="100" value="<?=$valuesSort['sortType']?>">
      <table class="marco" border="0" cellpadding="0" cellspacing="0" width="100%">
        <tr>
          <td height="17" align="right" class="pager">
            <div id="contenedor">
              <? $o_navigation->ContruirHTMLNavigation('contenedor', $strConcat); ?>
            </div>
          </td>
        </tr>
        <tr>
          <td>
            <table class="grid" width="100%" border="0" cellpadding="0" cellspacing="0">
              <tr height="23">
               <!--<th width="4%" >Nro</th>-->
               <th width="3%" >N.Pre.</th>
                 <th width="21%" >Cliente&nbsp;</th>
			    <th width="3%" >F.Inicio</th>
				<th width="3%" >F.Vencim.</th>
				<th width="5%" >Capital &nbsp;</th>
                <th width="3%" >Int.(%)</th>
                 <th width="4%" >M.Total&nbsp;</th>
                 <th width="3%" >Saldo&nbsp;</th>
                 <th width="3%" >Max.Pago</th>
                <th width="3%" >Estado &nbsp;&nbsp;&nbsp;</th>
                <th width="3%" id="col01" onMouseOver="sort_col(this);" >Usr.Creac.</th>
                <th width="4%" id="col01" onMouseOver="sort_col(this);" >Fec.Creac.</th>
              
                <th width="8%">Opciones</th>
              </tr>
              <? if(count($a_ObjectBean)>0){ ?>
              <? foreach ($a_ObjectBean as $iKey => $o_objBean){ ?>
              <tr onClick="TR_click(this);">
                <td align="center"><?=$o_objBean->getIdPrestamo()?></td>
                <td align="left"><?=ucwords(strtolower($o_objBean->getObjectCliente()->getNombreCompleto()))?></td>
                <td><?=$o_objBean->getFechaInicio()?></td>
                <td><?=$o_objBean->getFechaVencimiento()?></td>  
				<td align="center"><?=number_format($o_objBean->getMontoPrestado(),2)?></td>
				<td align="center"><?=$o_objBean->getInteresPorcentaje()?></td>
				<td align="center"><?=number_format($o_objBean->getMontoTotal(),2)?></td>
				<td align="right"><?php echo number_format($o_objBean->getSaldoPrestamo(),2);$total_saldo += round($o_objBean->getSaldoPrestamo(),2);?></td>
				<td align="center" style="color:#CA290D;"><?=number_format($o_objBean->getMaxPago(),2)?></td>
				<td align="center"><?if($o_objBean->getEstado()=='P'){echo Pendiente;} elseif($o_objBean->getEstado()=='C') {echo Cancelado;}?></td>
                <td align="center"><?=ucwords(strtolower($o_objBean->getUsuarioCreacion()))?></td>
                <td align="center"><?=$o_objBean->getFechaCreacion(date("Y-m-d"))?></td>
                <td align="center" valign="top">
                	<?php 
                	$o_BalanceDia = new BalanceDiaBean();
					$o_BalanceDia->setIdSucursal($IdSucursal);
					$o_BalanceDia->setFechaBalance($o_objBean->getFechaInicio());
					$o_BalanceDia->setFechaBalanceFinal($o_objBean->getFechaInicio());
					$o_BalanceDiaDP = new BalanceDiaDP($o_BalanceDia);
					$a_o_balance = $o_BalanceDiaDP->select();
    				?>	            	
					<img src="/images/common/buttons/btnPdf.gif" title="Reporte Pago Diario" onClick="parent.objMainTab.reqBody('<?=buildUrl('mod/pdf_mod/id/'.$o_objBean->getIdPrestamo());?>','001');";" style="cursor:pointer" />
					<?php
					if(!is_array($a_o_balance) && count($a_o_balance) == 0){?>
				 		<img src="/images/common/buttons/btnReview.gif" title="Mostrar Prestamo" style="cursor:pointer;" onclick="parent.objMainTab.modalDialog('<?=buildUrl('mod/show/id/'.$o_objBean->getIdPrestamo());?>','block=001')">
				 		<?if($o_objBean->getOrigen() == "F"){?>
				 		<input type="image" name="Editar" src="/images/common/buttons/btnEdit.gif" title="Editar Prestamo">&nbsp;<img name="add" title="Editar Pagos" src="/images/common/buttons/btnMoney.gif" onClick="parent.objMainTab.reqBody('<?=buildUrl('pre/editpay/id/'.$o_objBean->getIdPrestamo());?>','001');";" style="cursor:pointer">
				 		<?}else{?>
				 		<input type="image" name="Editar" src="/images/common/buttons/btnEdit.gif" title="Editar Prestamo" onclick="parent.objMainTab.modalDialog('<?=buildUrl('pre/edit/id/'.$o_objBean->getIdPrestamo())?>','block=001')">&nbsp;<img name="add" title="Editar Pagos" src="/images/common/buttons/btnMoney.gif" onClick="parent.objMainTab.reqBody('<?=buildUrl('pre/editpay/id/'.$o_objBean->getIdPrestamo());?>','001');";" style="cursor:pointer">
				 		<?}?>
				 		&nbsp;<input type="image" name="Eliminar" src="/images/common/buttons/btnDelete.gif" title="Eliminar Prestamo" onclick="deleteRegistro('<?=$o_objBean->getIdPrestamo()?>','<?=$o_objBean->getIdPrestamo()?>')">
				   <?php 
					}else{ ?>
				   		<img src="/images/common/buttons/btnReview.gif" title="Mostrar Prestamo" style="cursor:pointer;" onclick="parent.objMainTab.modalDialog('<?=buildUrl('mod/show/id/'.$o_objBean->getIdPrestamo());?>','block=001')">
					   <img name="Editar" src="/images/common/buttons/btnEdit.gif" title="No Permitido">&nbsp;
					   
				   <?php 
				   		
					}
				   ?>
				   
				   <?php
					if(!is_array($a_o_balance) && count($a_o_balance) == 0){?>
					
				    <?php 
					}else{
				   ?>   
				   
				   <img name="add" title="Editar Pagos" src="/images/common/buttons/btnMoney.gif" onClick="parent.objMainTab.reqBody('<?=buildUrl('mod/editpay/id/'.$o_objBean->getIdPrestamo());?>','001');";" style="cursor:pointer">&nbsp;
				  	<img name="Eliminar" src="/images/common/buttons/btnDelete.gif" title="No Permitido">
				  	
				   <?php 
				   		
					}
				   ?>
				    
                </td>
              </tr>
              <? } ?>
              <tr>
              	<td colspan="8" align="right"><b><?php echo number_format($total_saldo,2)?></b></td>
              </tr>
              <? }else{ ?>
              <tr>
                <td colspan="7" align="center">No se produjo resultado</td>
              </tr>
              <? } ?>
            </table>
          </td>
        </tr>
        <tr>
          <td>Total Registros: <?=count($a_ObjectBean)?></td>
        </tr>
      </table>